com.dlsc.flexgantt.swing.treetable

## Interface ITreeTableCellRenderer

- All Superinterfaces:
    IRenderer
  All Known Implementing Classes:
    DefaultTreeTableCellRenderer, TreeTable.BooleanRenderer, TreeTable.CalendarRenderer, TreeTable.ColorRenderer, TreeTable.DateRenderer, TreeTable.DoubleRenderer, TreeTable.EnumRenderer, TreeTable.IconRenderer, TreeTable.NumberRenderer

      public interface ITreeTableCellRenderer
      extends IRenderer

  A renderer interface used for creating tree table cell renderers. Such renderers are used for drawing a visual representation of values inside tree table cells.
  Since:
    1.0
  Version:
    $Revision: 1.7 $
  Author:
    Dirk Lemmermann
  See Also:
    `TreeTable.setCellRenderer(Class, ITreeTableCellRenderer)`, `TableCellRenderer`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getTreeTableCellRendererComponent(TreeTable table, Object node, Object value, int depth, boolean selected, boolean expanded, boolean leaf, int row, int column, boolean focus)` Returns a component suitable for rendering the given value object inside a cell of the given tree table.

- - ### Method Detail

    - #### getTreeTableCellRendererComponent

          Component getTreeTableCellRendererComponent(TreeTable table,
                                                      Object node,
                                                      Object value,
                                                      int depth,
                                                      boolean selected,
                                                      boolean expanded,
                                                      boolean leaf,
                                                      int row,
                                                      int column,
                                                      boolean focus)

      Returns a component suitable for rendering the given value object inside a cell of the given tree table.
      Parameters:
        `table` - the tree table component in which the cell gets rendererd
        `node` - the hierarchy node that gets displayed in the row where the cell is located
        `value` - the value object stored in the cell
        `depth` - the hierarcy depth of the row in which the cell is located
        `selected` - a flag signalling whether the cell has been selected by the user
        `expanded` - a flag signalling whether the hierarcy node to which the cell belongs is currently in an expanded state (opened)
        `leaf` - a flag signalling whether the hierarchy node to which the cell belongs is a leaf (has no children)
        `row` - the row in which the cell is located
        `column` - the column in which the cell is located (not the model index)
        `focus` - a flag signalling whether the cell is the focus owner
      Returns:
        a component suitable for rendering the given value object in the given table cell
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.